original__file__='/usr/local/lib/python1.5/lib-dynload/errnomodule.so'
__doc__="""This module makes available standard errno system symbols.
The value of each symbol is the corresponding integer value,
e.g., on most systems, errno.ENOENT equals the integer 2.
The dictionary errno.errorcode maps numeric codes to symbol names,
e.g., errno.errorcode[2] could be the string 'ENOENT'.
symbols that are not relevant to the underlying system are not defined.
To map error codes to error messages, use the function os.strerror(),
e.g. os.strerror(2) could return 'No such file or directory'."""

errorcode={
  122: 'EDQUOT', 
  121: 'EREMOTEIO', 
  120: 'EISNAM', 
  119: 'ENAVAIL', 
  118: 'ENOTNAM', 
  117: 'EUCLEAN', 
  116: 'ESTALE', 
  115: 'EINPROGRESS', 
  114: 'EALREADY', 
  113: 'EHOSTUNREACH', 
  112: 'EHOSTDOWN', 
  111: 'ECONNREFUSED', 
  110: 'ETIMEDOUT', 
  109: 'ETOOMANYREFS', 
  108: 'ESHUTDOWN', 
  107: 'ENOTCONN', 
  106: 'EISCONN', 
  105: 'ENOBUFS', 
  104: 'ECONNRESET', 
  103: 'ECONNABORTED', 
  102: 'ENETRESET', 
  101: 'ENETUNREACH', 
  100: 'ENETDOWN', 
   99: 'EADDRNOTAVAIL',
   98: 'EADDRINUSE',
   97: 'EAFNOSUPPORT',
   96: 'EPFNOSUPPORT',
   95: 'EOPNOTSUPP',
   94: 'ESOCKTNOSUPPORT',
   93: 'EPROTONOSUPPORT',
   92: 'ENOPROTOOPT',
   91: 'EPROTOTYPE',
   90: 'EMSGSIZE',
   89: 'EDESTADDRREQ',
   88: 'ENOTSOCK',
   87: 'EUSERS', 
   86: 'ESTRPIPE',
   85: 'ERESTART',
   84: 'EILSEQ',
   83: 'ELIBEXEC',
   82: 'ELIBMAX',
   81: 'ELIBSCN',
   80: 'ELIBBAD',
   79: 'ELIBACC',
   78: 'EREMCHG',
   77: 'EBADFD',
   76: 'ENOTUNIQ',
   75: 'EOVERFLOW',
   74: 'EBADMSG',
   73: 'EDOTDOT',
   72: 'EMULTIHOP',
   71: 'EPROTO',
   70: 'ECOMM',
   69: 'ESRMNT',
   68: 'EADV',
   67: 'ENOLINK',
   66: 'EREMOTE',
   65: 'ENOPKG',
   64: 'ENONET',
   63: 'ENOSR',
   62: 'ETIME',
   61: 'ENODATA',
   60: 'ENOSTR',
   59: 'EBFONT',
   57: 'EBADSLT',
   56: 'EBADRQC',
   55: 'ENOANO',
   54: 'EXFULL',
   53: 'EBADR',
   52: 'EBADE',
   51: 'EL2HLT',
   50: 'ENOCSI',
   49: 'EUNATCH',
   48: 'ELNRNG',
   47: 'EL3RST',
   46: 'EL3HLT',
   45: 'EL2NSYNC',
   44: 'ECHRNG',
   43: 'EIDRM',
   42: 'ENOMSG',
   40: 'ELOOP',
   39: 'ENOTEMPTY',
   38: 'ENOSYS',
   37: 'ENOLCK',
   36: 'ENAMETOOLONG',
   35: 'EDEADLOCK',
   34: 'ERANGE',
   33: 'EDOM',
   32: 'EPIPE',
   31: 'EMLINK',
   30: 'EROFS',
   29: 'ESPIPE',
   28: 'ENOSPC',
   27: 'EFBIG',
   26: 'ETXTBSY',
   25: 'ENOTTY',
   24: 'EMFILE',
   23: 'ENFILE',
   22: 'EINVAL',
   21: 'EISDIR',
   20: 'ENOTDIR',
   19: 'ENODEV',
   18: 'EXDEV',
   17: 'EEXIST',
   16: 'EBUSY',
   15: 'ENOTBLK',
   14: 'EFAULT',
   13: 'EACCES',
   12: 'ENOMEM',
   11: 'EAGAIN',
   10: 'ECHILD',
    9: 'EBADF',
    8: 'ENOEXEC',
    7: 'E2BIG',
    6: 'ENXIO',
    5: 'EIO',
    4: 'EINTR',
    3: 'ESRCH',
    2: 'ENOENT',
    1: 'EPERM'
}

ENODEV=19
ENAMETOOLONG=36
ENOCSI=50
ETXTBSY=26
EHOSTUNREACH=113
ENOMSG=42
ETOOMANYREFS=109
ENOTUNIQ=76
EL2NSYNC=45
EL2HLT=51
ENOPKG=65
ENODATA=61
ENOTBLK=15
ENOSYS=38
EPIPE=32
ETIMEDOUT=110
EOVERFLOW=75
EADV=68
EINTR=4
EUSERS=87
ENOTEMPTY=39
ENOBUFS=105
EREMOTE=66
ENAVAIL=119
ECHILD=10
ELOOP=40
EXDEV=18
E2BIG=7
EAGAIN=11
ESRCH=3
EAFNOSUPPORT=97
EBADR=53
EHOSTDOWN=112
ENOPROTOOPT=92
EBUSY=16
EUCLEAN=117
EDOTDOT=73
ENOANO=55
ESPIPE=29
ECHRNG=44
ELIBBAD=80
ENONET=64
EBADE=52
EBADF=9
EISCONN=106
EIO=5
EUNATCH=49
EPFNOSUPPORT=96
ENOSPC=28
EWOULDBLOCK=11
EALREADY=114
ENETDOWN=100
ENOTNAM=118
EACCES=13
ELNRNG=48
EILSEQ=84
ERESTART=85
ENOTDIR=20
ENOSTR=60
EPERM=1
EDOM=33
EXFULL=54
ECONNREFUSED=111
EROFS=30
EDEADLOCK=35
EADDRNOTAVAIL=99
EIDRM=43
ENOTTY=25
ECOMM=70
ESRMNT=69
EREMOTEIO=121
EL3RST=47
EREMCHG=78
ENXIO=6
EPROTO=71
ESHUTDOWN=108
EMSGSIZE=90
ENOENT=2
EEXIST=17
EBADFD=77
EDQUOT=122
EBADSLT=57
EBADRQC=56
ELIBACC=79
ELIBMAX=82
EFBIG=27
EDEADLK=35
ENOTCONN=107
EDESTADDRREQ=89
ENOLCK=37
EISNAM=120
ECONNABORTED=103
ENETUNREACH=101
ESTALE=116
ENOSR=63
ENOMEM=12
ENOTSOCK=88
ESTRPIPE=86
ENOEXEC=8
EMLINK=31
ERANGE=34
ELIBEXEC=83
EL3HLT=46
ECONNRESET=104
EADDRINUSE=98
EBADMSG=74
ENFILE=23
EFAULT=14
ELIBSCN=81
ENETRESET=102
EOPNOTSUPP=95
ESOCKTNOSUPPORT=94
ETIME=62
EPROTOTYPE=91
EBFONT=59
ENOLINK=67
EINVAL=22
EMFILE=24
EMULTIHOP=72
EINPROGRESS=115
EPROTONOSUPPORT=93
EISDIR=21
