(* utilities *)

(* This is very non-optimnal!! *)
let list_sub l start n = 
  let x = ref [] in
  for i=start to (start + n - 1) do
    x :=!x @ [(List.nth l i)]
  done;
  !x
;;

let list_last l = 
  List.nth l ((List.length l) - 1)
;;

let list_all_but_last l =
  list_sub l 0 ((List.length l) - 1)
;;

(* returns the list in order or list length! *)
let get_prefixes x = 
  let result = ref [] in
  let prefix = ref [] in
  let rec f l =
    match l with 
    | [] -> ()
    | h :: t  -> 
      prefix := !prefix @ [h];
      result := !result @ [!prefix];
      f t
    in 
      f x; 
      !result 
;; 

let display_of_list before between after each l =
  before ();
  if (List.length l) > 1 
  then List.iter 
    (fun x -> each x; between())
    (list_all_but_last l)
  ;
  if (List.length l) > 0 then each (list_last l);
  after()
;;
let string_of_list before between after each l =
  let s = Buffer.create ((List.length l) * 8 + 10)
  in let append = Buffer.add_string s in

  append before;

  begin if (List.length l) > 1
  then List.iter
    (fun x -> append (each x); append between)
    (list_all_but_last l)
  end;

  begin if (List.length l) > 0
  then append (each (list_last l))
  end;

  append after;

  let ss = Buffer.contents s in
  ss
;;

let int_of_bool = function true -> 1 | false -> 0;;

(* if n>0, 0 <=  modulo n x  < n
   else undefined
*)
let modulo n x = 
  if x > 0 then x mod n
  else n - ((abs x) mod n)
;;

let (+>) obj f = f obj;;
